# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSPOP3.dll
OBJFILES = QSPOP3.obj QSpop\QSpop3Ver.obj QSpop\PopAccDlg.obj \
   QSpop\PopPassDlg.obj QSpop\PopProfDlg.obj QSpop\PopRetDlg.obj \
   QSpop\PrintDlgs.obj QSpop\WipeDlgs.obj QSpop\HelpDlgs.obj QSpop\View.obj \
   QSpop\Mixmaster.obj QSpop\FileMan.obj QSpop\HeadMan.obj QSpop\Global.obj \
   QSpop\MsgBoxDlgs.obj QSpop\MixDlgs.obj QSpop\POPProxyDlgs.obj
RESFILES = QSpop\QSpop3.res
RESDEPEN = $(RESFILES) QSpop\PopAccDlg.dfm QSpop\PopPassDlg.dfm \
   QSpop\PopProfDlg.dfm QSpop\PopRetDlg.dfm QSpop\PrintDlgs.dfm \
   QSpop\WipeDlgs.dfm QSpop\HelpDlgs.dfm QSpop\View.dfm QSpop\MsgBoxDlgs.dfm \
   QSpop\MixDlgs.dfm QSpop\POPProxyDlgs.dfm
LIBFILES = QSpop\zlib.lib
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -WD -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -Ic:\cb6\projects\ebid\cross;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -DNO_DB_ENCRYPT -H=$(BCB)\lib\vcld.csm 
PFLAGS = -Uc:\cb6\projects\ebid\cross;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -Ic:\cb6\projects\ebid\cross;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -DNO_DB_ENCRYPT -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -ic:\cb6\projects\ebid\cross;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -DNO_DB_ENCRYPT 
LFLAGS = -Lc:\cb6\projects\ebid\cross;.\qspop;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -aa -Tpd -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0d32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

